# Container Director

[![Build Status](https://drone.jacknet.io/api/badges/jackhadrill/container-director/status.svg)](https://drone.jacknet.io/jackhadrill/container-director)

A tool to proxy an HTTP backend, and failover to a "container spawner" if the backend does not exist.

## Usage

```yml
version: '3'
services:
  ...
  container-director:
    image: git.jacknet.io/jackhadrill/container-director:latest
    restart: always
    environment:
      LISTEN_PORT: 80
      CONTAINER_PREFIX: "container"
      SPAWNER_HOST: "spawner"
      SPANWER_PORT: 80
  ...
```
